Issue1274

classification
Title: Odd behavior in Django tutorial
Type: Severity: normal
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: JacobKessler, fwierzbicki, pjenvey, zyasoft
Priority: normal Keywords:

Created on 2009-03-17.22:48:27 by JacobKessler, last changed 2009-07-30.03:25:36 by pjenvey.

Messages
msg4306 (view) Author: Jacob Kessler (JacobKessler) Date: 2009-03-17.22:48:26
I was running through the Django tutorial (Trunk Jython, Trunk
Jython-Django, Django 1.0.2, Ubuntu 8.04), and noticed some odd behavior
around running the "synchdb" command:

jacob@jacobDesktop:~/django/play/mysite$ jython manage.py syncdb
Error: Could not import settings 'mysite.settings$py' (Is it on
sys.path? Does it have syntax errors?): No module named settings$py
jacob@jacobDesktop:~/django/play/mysite$ jython manage.py runserver
Error: Could not import settings 'mysite.settings$py' (Is it on
sys.path? Does it have syntax errors?): No module named settings$py

/* removed 'mysite.polls' from INSTALLED_APPS */

jacob@jacobDesktop:~/django/play/mysite$ jython manage.py runserver
Validating models...
0 errors found

Django version 1.0.2 final, using settings 'mysite.settings'
Development server is running at http://127.0.0.1:8000/
Quit the server with CONTROL-C.

/* Re-added mysite.polls */

jacob@jacobDesktop:~/django/play/mysite$ jython manage.py runserver
Validating models...
0 errors found

Django version 1.0.2 final, using settings 'mysite.settings'
Development server is running at http://127.0.0.1:8000/
Quit the server with CONTROL-C.
jacob@jacobDesktop:~/django/play/mysite$ jython manage.py syncdb
Error: Could not import settings 'mysite.settings$py' (Is it on
sys.path? Does it have syntax errors?): No module named settings$py
jacob@jacobDesktop:~/django/play/mysite$ jython manage.py runserver
Error: Could not import settings 'mysite.settings$py' (Is it on
sys.path? Does it have syntax errors?): No module named settings$py
jacob@jacobDesktop:~/django/play/mysite$ 

In short, running syncDB seems to break things in some odd, persistent,
and repeatable way. The error message could probably be improved as
well, to indicate in more detail why the load failed.
msg4307 (view) Author: Jacob Kessler (JacobKessler) Date: 2009-03-17.22:57:25
After a bit of prodding, this appears to be solvable by removing
settings$py.class. That seems like a kludgy workaround at best, though.
msg4308 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2009-03-18.00:57:37
Hey Jacob, I sent the Django folks a patch for this bug a while back. 
Though they have applied the patch in trunk, it has not made it into a
1.0.x release at this point.  See
http://code.djangoproject.com/ticket/9789. Unfortunately this can only
be fixed on the Django side.  There is a diff in that bug that you could
apply.
msg4429 (view) Author: Jim Baker (zyasoft) Date: 2009-04-04.02:46:49
We'll watch it here, but it's not blocking for RC
msg4962 (view) Author: Philip Jenvey (pjenvey) Date: 2009-07-30.03:25:36
fixed in latest django, this was really their bug. closing out
History
Date User Action Args
2009-07-30 03:25:36pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg4962
nosy: + pjenvey
2009-04-04 02:46:49zyasoftsetpriority: normal
nosy: + zyasoft
messages: + msg4429
2009-03-18 00:57:39fwierzbickisetnosy: + fwierzbicki
messages: + msg4308
2009-03-17 22:57:26JacobKesslersetmessages: + msg4307
2009-03-17 22:48:27JacobKesslercreate